Bug 17279 - rc.local is run every time the runlevel changes!
rc.local is run every time the runlevel changes!
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.2
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-06 07:06 EDT by John Looney
Modified: 2014-03-16 22:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-28 19:49:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Looney 2000-09-06 07:06:18 EDT
I add stuff like oracle startup commands, my sound driver extras, a 
netrek server, qmail and a few other things to rc.local.

 It's my understanding that rc.local should be run every time the machine 
books, after everything else.

 If the default runlevel is 3, and someone does "init 5", rc.local is re-
run, and chaos ensues. A simple fix for this would be to add

        touch /var/lock/subsys/local

 to /etc/rc.local and to add 

        rm -f /var/lock/subsys/local 

to rc.sysinit. Pretty please ?

John
Comment 1 Bill Nottingham 2001-01-29 19:30:14 EST
I really hate changing rc.local (it's %config(noreplace)), but
this is obviously correct; will be fixed in 5.60-1.

Note You need to log in before you can comment on or make changes to this bug.